package utils

import (
	"fyne.io/fyne/v2"
	"fyne.io/fyne/v2/canvas"
	"image/color"
)

func SetStringErrorStyle(text *canvas.Text) {
	fyne.Do(func() {
		text.Color = color.RGBA{R: 255, G: 0, B: 0, A: 255}
		text.Refresh()
	})
}

func SetStringSuccessStyle(text *canvas.Text) {
	fyne.Do(func() {
		text.Color = color.RGBA{R: 49, G: 127, B: 114, A: 255}
		text.Refresh()
	})
}
